\input{Preamble}

\begin{document}

\newgeometry{margin=1in}
\thispagestyle{empty}
\begin{titlepage}
    \raggedleft
    \includegraphics[width=0.6\linewidth]{TCS_LOGO.pdf}\par
    \centering
    \begin{minipage}{.6\linewidth}
        \centering
        \vspace{3cm}
        {\Large Bachelor's Thesis\par}
        \vspace{.7cm}
        {\Large \MakeUppercase{\@title} \par}
        \vspace{2.5cm}
        {\large \@author \\ \normalsize 422375 \par}
        \vspace{3cm}
        {\large Aachen, \monthyeardate\@date}

        \vspace{3cm}
        {The present work was submitted to the Chair of Theoretical Computer Science\par}
        
        \vspace{3cm}
        {
            \centering
            \begin{tabular}{ll}
                First Examiner: & Prof. Dr. Peter Rossmanith \\
                Second Examiner: & PD Dr. Walter Unger \\
                Supervisor: & Matthias Gehnen \\
            \end{tabular}\\
        }
    \end{minipage}
\end{titlepage}
\restoregeometry

\def\thm@space@setup{\thm@preskip=10pt
\thm@postskip=10pt}
\makeatother

\setlength{\parskip}{.25\baselineskip}
\setlength{\parindent}{0pt}
\onehalfspacing

\begin{spacing}{1.4}
    \setcounter{tocdepth}{1}
    \tableofcontents
\end{spacing}

\clearpage

% \textbf{Abstract.} We apply the \textit{reservation-per-item} model to different variants of the well known \textit{Secretary Problem}. We analyze the \textit{Postdoc}, the \textit{Best or Worst} and the \textit{First or Second} variants. For each of these variants we derive the range of reservation costs where the optimal strategy does not reserve and thus mirrors the classical strategy without reservations. For reservation costs where the optimal strategy may reserve, we show that the optimal strategy is a threshold strategy. We analyze and calculate the limits of the thresholds that define the stages as the number of candidates goes to infinity. 

\input{Sections/Introduction/00-Introduction.tex}
\input{Sections/Introduction/01-The-Secretary-Problem.tex}
\input{Sections/Introduction/02-The-Reservation-Model.tex}
\input{Sections/Introduction/03-The-PostDoc-Problem.tex}
\input{Sections/Introduction/04-Other-Variants.tex}
\input{Sections/Introduction/05-Our-Results.tex}

% \input{Sections/03-Reject-Reserve.tex}

\input{Sections/PostDoc/00-PostDoc-With-Reservations.tex}
\input{Sections/PostDoc/01-Calculate-Optimal-Strategy.tex}
\input{Sections/PostDoc/02-Optimal-Strategy-Classic.tex}
\input{Sections/PostDoc/03-Optimal-Strategy-Reserves.tex}
\input{Sections/PostDoc/04-Closed-Form.tex}
\input{Sections/PostDoc/05-Extending-To-Infinity.tex}
\input{Sections/PostDoc/06-Reject-Reserve.tex}

\input{Sections/FirstOrLast/00-FirstOrLast-With-Reservations.tex}

% \chapter{First or Second with Reservations}

% \begin{theorem}
%     $c \geq 2f_{(2n+1)/3} \to 4/9$ is the classical case
% \end{theorem}

\newpage
\chapter{Conclusion}

% \section{Summary}
We analyzed the optimal strategy for the \textit{Postdoc Problem} in the \textit{reservation-per-item} model. We first showed how to compute the optimal strategy in dependence of the reservation costs and the number of candidates. We showed that for reservation costs greater or equal to $f_{k_0}$, the classic strategy of accepting the first second-best candidate in the second half is optimal. For smaller reservation costs, the optimal strategy operates in 6 phases, defined by five thresholds $t_1, ..., t_5$, as visualized in Figure~\ref{fig:opt}. We provided closed-form solutions for the thresholds $t_2$ and $t_4$ and analyzed the behavior of the thresholds as the number of candidates approaches infinity. We showed that all threshold ratios ($t/n$) converge and illustrated how to calculate the limits based on the reservation costs. The results are visualized in Figure~\ref{fig:limits123}.

We conclude that the \textit{Postdoc Problem} remains harder than the \textit{Secretary Problem} in the \textit{reservation-per-item} model. Regardless of the reservation cost, the expected gain of the optimal strategy for the \textit{Secretary Problem} is higher than the expected gain of the optimal strategy for the \textit{Postdoc Problem}.

To demonstrate that the methods used to obtain the above results transfer to other variants of the \textit{Secretary Problem}, we analyzed the \textit{Best or Worst Problem}. We showed that for reservation costs greater than or equal to $F(k_0)$, the classic strategy of accepting the first best- or worst-candidate in the second half is optimal. For smaller reservation costs, the optimal strategy operates in three phases, which are defined by two thresholds. We again analyzed the limits of those thresholds and showed how to calculate them in dependence on the reservation cost.

Until now, only the \textit{no-information} variants of the \textit{Secretary Problem} and the \textit{Postdoc Problem} have been analyzed under the \textit{reservation-per-item} model. It would be interesting to analyze the optimal strategy for both problems if the interviewer had more information than just the relative rank of each candidate. For instance, it would be interesting to determine the optimal strategy when the quality of the candidates is given by a number drawn from a fixed distribution, such as a uniform or normal distribution.


\clearpage
\bibliographystyle{unsrt}
\bibliography{References}

% \glsaddall
% \clearpage
% \begin{spacing}{1.1}
%     \printglossary[nonumberlist]
% \end{spacing}

\appendix
\input{Sections/A-Appendix.tex}
\input{Sections/B-Appendix.tex}

% \includepdf[pages={1}]{Eidesstattliche+Versicherung.pdf}

\end{document}
